Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/IOM/prtctl.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/IOM/prtctl.F90	(revision 12799)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/IOM/prtctl.F90	(revision 12807)
@@ -18,9 +18,9 @@
 
    INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::   numid
-   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::   nlditl , nldjtl    ! first, last indoor index for each i-domain
-   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::   nleitl , nlejtl    ! first, last indoor index for each j-domain
-   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::   nimpptl, njmpptl   ! i-, j-indexes for each processor
-   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::   nlcitl , nlcjtl    ! dimensions of every subdomain
-   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::   ibonitl, ibonjtl   !
+   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::   nis0allp, njs0allp   ! first, last indoor index for each i-domain
+   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::   nie0allp, nje0allp   ! first, last indoor index for each j-domain
+   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::    nimpptl,  njmpptl   ! i-, j-indexes for each processor
+   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::    jpiallp,  jpjallp   ! dimensions of every subdomain
+   INTEGER , DIMENSION(:), ALLOCATABLE, SAVE ::    ibonitl,  ibonjtl   !
 
    REAL(wp), DIMENSION(:), ALLOCATABLE, SAVE ::   t_ctll , s_ctll    ! previous tracer trend values
@@ -134,23 +134,23 @@
          IF( .NOT. lsp_area ) THEN
             IF (lk_mpp .AND. jpnij > 1)   THEN
-               nictls = MAX(  1, nlditl(jn) )
-               nictle = MIN(jpi, nleitl(jn) )
-               njctls = MAX(  1, nldjtl(jn) )
-               njctle = MIN(jpj, nlejtl(jn) )
+               nictls = MAX(  1, nis0allp(jn) )
+               nictle = MIN(jpi, nie0allp(jn) )
+               njctls = MAX(  1, njs0allp(jn) )
+               njctle = MIN(jpj, nje0allp(jn) )
                ! Do not take into account the bound of the domain
                IF( ibonitl(jn) == -1 .OR. ibonitl(jn) == 2 ) nictls = MAX(2, nictls)
                IF( ibonjtl(jn) == -1 .OR. ibonjtl(jn) == 2 ) njctls = MAX(2, njctls)
-               IF( ibonitl(jn) ==  1 .OR. ibonitl(jn) == 2 ) nictle = MIN(nictle, nleitl(jn) - 1)
-               IF( ibonjtl(jn) ==  1 .OR. ibonjtl(jn) == 2 ) njctle = MIN(njctle, nlejtl(jn) - 1)
+               IF( ibonitl(jn) ==  1 .OR. ibonitl(jn) == 2 ) nictle = MIN(nictle, nie0allp(jn) - 1)
+               IF( ibonjtl(jn) ==  1 .OR. ibonjtl(jn) == 2 ) njctle = MIN(njctle, nje0allp(jn) - 1)
             ELSE
-               nictls = MAX(  1, nimpptl(jn) - 1 + nlditl(jn) )
-               nictle = MIN(jpi, nimpptl(jn) - 1 + nleitl(jn) )
-               njctls = MAX(  1, njmpptl(jn) - 1 + nldjtl(jn) )
-               njctle = MIN(jpj, njmpptl(jn) - 1 + nlejtl(jn) )
+               nictls = MAX(  1, nimpptl(jn) - 1 + nis0allp(jn) )
+               nictle = MIN(jpi, nimpptl(jn) - 1 + nie0allp(jn) )
+               njctls = MAX(  1, njmpptl(jn) - 1 + njs0allp(jn) )
+               njctle = MIN(jpj, njmpptl(jn) - 1 + nje0allp(jn) )
                ! Do not take into account the bound of the domain
                IF( ibonitl(jn) == -1 .OR. ibonitl(jn) == 2 ) nictls = MAX(2, nictls)
                IF( ibonjtl(jn) == -1 .OR. ibonjtl(jn) == 2 ) njctls = MAX(2, njctls)
-               IF( ibonitl(jn) ==  1 .OR. ibonitl(jn) == 2 ) nictle = MIN(nictle, nimpptl(jn) + nleitl(jn) - 2)
-               IF( ibonjtl(jn) ==  1 .OR. ibonjtl(jn) == 2 ) njctle = MIN(njctle, njmpptl(jn) + nlejtl(jn) - 2)
+               IF( ibonitl(jn) ==  1 .OR. ibonitl(jn) == 2 ) nictle = MIN(nictle, nimpptl(jn) + nie0allp(jn) - 2)
+               IF( ibonjtl(jn) ==  1 .OR. ibonjtl(jn) == 2 ) njctle = MIN(njctle, njmpptl(jn) + nje0allp(jn) - 2)
             ENDIF
          ENDIF
@@ -277,8 +277,8 @@
 
       ! Allocate arrays
-      ALLOCATE( nlditl(ijsplt) , nleitl(ijsplt) , nimpptl(ijsplt) , ibonitl(ijsplt) ,   &
-         &      nldjtl(ijsplt) , nlejtl(ijsplt) , njmpptl(ijsplt) , ibonjtl(ijsplt) ,   &
-         &      nlcitl(ijsplt) , t_ctll(ijsplt) , u_ctll (ijsplt) ,                     &
-         &      nlcjtl(ijsplt) , s_ctll(ijsplt) , v_ctll (ijsplt)                       )
+      ALLOCATE( nis0allp(ijsplt) , nie0allp(ijsplt) , nimpptl(ijsplt) , ibonitl(ijsplt) ,   &
+         &      njs0allp(ijsplt) , nje0allp(ijsplt) , njmpptl(ijsplt) , ibonjtl(ijsplt) ,   &
+         &       jpiallp(ijsplt) ,   t_ctll(ijsplt) ,  u_ctll(ijsplt) ,                     &
+         &       jpjallp(ijsplt) ,   s_ctll(ijsplt) ,  v_ctll(ijsplt)                       )
 
       ! Initialization 
@@ -295,14 +295,14 @@
          cl_run = 'MULTI processor run'
          ! use indices for each area computed by mpp_init subroutine
-         nlditl(1:jpnij) = nldit(:) 
-         nleitl(1:jpnij) = nleit(:) 
-         nldjtl(1:jpnij) = nldjt(:) 
-         nlejtl(1:jpnij) = nlejt(:) 
+         nis0allp(1:jpnij) = nis0all(:) 
+         nie0allp(1:jpnij) = nie0all(:) 
+         njs0allp(1:jpnij) = njs0all(:) 
+         nje0allp(1:jpnij) = nje0all(:) 
          !
          nimpptl(1:jpnij) = nimppt(:)
          njmpptl(1:jpnij) = njmppt(:)
          !
-         nlcitl(1:jpnij) = nlcit(:)
-         nlcjtl(1:jpnij) = nlcjt(:)
+         jpiallp(1:jpnij) = jpiall(:)
+         jpjallp(1:jpnij) = jpjall(:)
          !
          ibonitl(1:jpnij) = ibonit(:)
@@ -335,8 +335,8 @@
          ! Print the SUM control indices
          IF( .NOT. lsp_area )   THEN
-            nictls = nimpptl(jn) + nlditl(jn) - 1
-            nictle = nimpptl(jn) + nleitl(jn) - 1
-            njctls = njmpptl(jn) + nldjtl(jn) - 1
-            njctle = njmpptl(jn) + nlejtl(jn) - 1
+            nictls = nimpptl(jn) + nis0allp(jn) - 1
+            nictle = nimpptl(jn) + nie0allp(jn) - 1
+            njctls = njmpptl(jn) + njs0allp(jn) - 1
+            njctle = njmpptl(jn) + nje0allp(jn) - 1
          ENDIF
          WRITE(j_id,*) 
@@ -344,5 +344,5 @@
          WRITE(j_id,*) '~~~~~~~'
          WRITE(j_id,*)
-         WRITE(j_id,9000)'                                nlej   = ', nlejtl(jn), '              '
+         WRITE(j_id,9000)'                                Nje0   = ', nje0allp(jn), '              '
          WRITE(j_id,9000)'                  ------------- njctle = ', njctle, ' -------------'
          WRITE(j_id,9001)'                  |                                       |'
@@ -350,10 +350,10 @@
          WRITE(j_id,9001)'                  |                                       |'
          WRITE(j_id,9002)'           nictls = ', nictls,  '                           nictle = ', nictle
-         WRITE(j_id,9002)'           nldi   = ', nlditl(jn),  '                           nlei   = ', nleitl(jn)
+         WRITE(j_id,9002)'           Nis0   = ', nis0allp(jn),  '                           Nie0   = ', nie0allp(jn)
          WRITE(j_id,9001)'                  |                                       |'
          WRITE(j_id,9001)'                  |                                       |'
          WRITE(j_id,9001)'                  |                                       |'
          WRITE(j_id,9004)'  njmpp  = ',njmpptl(jn),'   ------------- njctls = ', njctls, ' -------------'
-         WRITE(j_id,9003)'           nimpp  = ', nimpptl(jn), '        nldj   = ', nldjtl(jn), '              '
+         WRITE(j_id,9003)'           nimpp  = ', nimpptl(jn), '        Njs0   = ', njs0allp(jn), '              '
          WRITE(j_id,*)
          WRITE(j_id,*)
@@ -392,6 +392,6 @@
       !!                    njmpp     : latitudinal  index
       !!                    narea     : number for local area
-      !!                    nlcil      : first dimension
-      !!                    nlcjl      : second dimension
+      !!                    ipil      : first dimension
+      !!                    ipjl      : second dimension
       !!                    nbondil    : mark for "east-west local boundary"
       !!                    nbondjl    : mark for "north-south local boundary"
@@ -408,9 +408,9 @@
          ii, ij,                         &  ! temporary integers
          irestil, irestjl,               &  !    "          "
-         ijpi  , ijpj, nlcil,            &  ! temporary logical unit
-         nlcjl , nbondil, nbondjl,       &
-         nrecil, nrecjl, nldil, nleil, nldjl, nlejl
-
-      INTEGER, DIMENSION(jpi,jpj) ::   iimpptl, ijmpptl, ilcitl, ilcjtl   ! workspace
+         ijpi  , ijpj, ipil,             &  ! temporary logical unit
+         ipjl , nbondil, nbondjl,        &
+         nrecil, nrecjl, Nis0l, Nie0l, Njs0l, Nje0l
+
+      INTEGER, DIMENSION(jpi,jpj) ::   iimpptl, ijmpptl, ijpitl, ijpjtl   ! workspace
       REAL(wp) ::   zidom, zjdom            ! temporary scalars
       INTEGER ::   inum                     ! local logical unit
@@ -421,5 +421,5 @@
       !  1. Dimension arrays for subdomains
       ! -----------------------------------
-      !  Computation of local domain sizes ilcitl() ilcjtl()
+      !  Computation of local domain sizes ijpitl() ijpjtl()
       !  These dimensions depend on global sizes isplt,jsplt and jpiglo,jpjglo
       !  The subdomains are squares leeser than or equal to the global
@@ -448,7 +448,7 @@
       DO jj = 1, jsplt 
          DO ji=1, isplt-1 
-            ilcitl(ji,jj) = ijpi 
+            ijpitl(ji,jj) = ijpi 
          END DO 
-         ilcitl(isplt,jj) = jpiglo - (isplt - 1) * (ijpi - nrecil)
+         ijpitl(isplt,jj) = jpiglo - (isplt - 1) * (ijpi - nrecil)
       END DO 
 
@@ -457,8 +457,8 @@
       DO jj = 1, jsplt
          DO ji = 1, irestil
-            ilcitl(ji,jj) = ijpi
+            ijpitl(ji,jj) = ijpi
          END DO
          DO ji = irestil+1, isplt
-            ilcitl(ji,jj) = ijpi -1
+            ijpitl(ji,jj) = ijpi -1
          END DO
       END DO
@@ -472,7 +472,7 @@
       DO ji = 1, isplt 
          DO jj=1, jsplt-1 
-            ilcjtl(ji,jj) = ijpj 
+            ijpjtl(ji,jj) = ijpj 
          END DO 
-         ilcjtl(ji,jsplt) = jpjglo - (jsplt - 1) * (ijpj - nrecjl)
+         ijpjtl(ji,jsplt) = jpjglo - (jsplt - 1) * (ijpj - nrecjl)
       END DO 
 
@@ -481,8 +481,8 @@
       DO ji = 1, isplt
          DO jj = 1, irestjl
-            ilcjtl(ji,jj) = ijpj
+            ijpjtl(ji,jj) = ijpj
          END DO
          DO jj = irestjl+1, jsplt
-            ilcjtl(ji,jj) = ijpj -1
+            ijpjtl(ji,jj) = ijpj -1
          END DO
       END DO
@@ -491,14 +491,14 @@
       zidom = nrecil
       DO ji = 1, isplt
-         zidom = zidom + ilcitl(ji,1) - nrecil
+         zidom = zidom + ijpitl(ji,1) - nrecil
       END DO
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*)' sum ilcitl(i,1) = ', zidom, ' jpiglo = ', jpiglo
+      IF(lwp) WRITE(numout,*)' sum ijpitl(i,1) = ', zidom, ' jpiglo = ', jpiglo
       
       zjdom = nrecjl
       DO jj = 1, jsplt
-         zjdom = zjdom + ilcjtl(1,jj) - nrecjl
-      END DO
-      IF(lwp) WRITE(numout,*)' sum ilcitl(1,j) = ', zjdom, ' jpjglo = ', jpjglo
+         zjdom = zjdom + ijpjtl(1,jj) - nrecjl
+      END DO
+      IF(lwp) WRITE(numout,*)' sum ijpitl(1,j) = ', zjdom, ' jpjglo = ', jpjglo
       IF(lwp) WRITE(numout,*)
       
@@ -513,5 +513,5 @@
          DO jj = 1, jsplt
             DO ji = 2, isplt
-               iimpptl(ji,jj) = iimpptl(ji-1,jj) + ilcitl(ji-1,jj) - nrecil
+               iimpptl(ji,jj) = iimpptl(ji-1,jj) + ijpitl(ji-1,jj) - nrecil
             END DO
          END DO
@@ -521,5 +521,5 @@
          DO jj = 2, jsplt
             DO ji = 1, isplt
-               ijmpptl(ji,jj) = ijmpptl(ji,jj-1)+ilcjtl(ji,jj-1)-nrecjl
+               ijmpptl(ji,jj) = ijmpptl(ji,jj-1)+ijpjtl(ji,jj-1)-nrecjl
             END DO
          END DO
@@ -534,8 +534,8 @@
          nimpptl(jn) = iimpptl(ii,ij)
          njmpptl(jn) = ijmpptl(ii,ij)
-         nlcitl (jn) = ilcitl (ii,ij)     
-         nlcil       = nlcitl (jn)     
-         nlcjtl (jn) = ilcjtl (ii,ij)     
-         nlcjl       = nlcjtl (jn)
+         jpiallp(jn) = ijpitl (ii,ij)     
+         ipil        = jpiallp(jn)     
+         jpjallp(jn) = ijpjtl (ii,ij)     
+         ipjl        = jpjallp(jn)
          nbondjl = -1                                    ! general case
          IF( jn   >  isplt          )   nbondjl = 0      ! first row of processor
@@ -550,16 +550,16 @@
          ibonitl(jn) = nbondil
          
-         nldil =  1   + nn_hls
-         nleil = nlcil - nn_hls
-         IF( nbondil == -1 .OR. nbondil == 2 )   nldil = 1
-         IF( nbondil ==  1 .OR. nbondil == 2 )   nleil = nlcil
-         nldjl =  1   + nn_hls
-         nlejl = nlcjl - nn_hls
-         IF( nbondjl == -1 .OR. nbondjl == 2 )   nldjl = 1
-         IF( nbondjl ==  1 .OR. nbondjl == 2 )   nlejl = nlcjl
-         nlditl(jn) = nldil
-         nleitl(jn) = nleil
-         nldjtl(jn) = nldjl
-         nlejtl(jn) = nlejl
+         Nis0l =  1   + nn_hls
+         Nie0l = ipil - nn_hls
+         IF( nbondil == -1 .OR. nbondil == 2 )   Nis0l = 1
+         IF( nbondil ==  1 .OR. nbondil == 2 )   Nie0l = ipil
+         Njs0l =  1   + nn_hls
+         Nje0l = ipjl - nn_hls
+         IF( nbondjl == -1 .OR. nbondjl == 2 )   Njs0l = 1
+         IF( nbondjl ==  1 .OR. nbondjl == 2 )   Nje0l = ipjl
+         nis0allp(jn) = Nis0l
+         nie0allp(jn) = Nie0l
+         njs0allp(jn) = Njs0l
+         nje0allp(jn) = Nje0l
       END DO
       !
@@ -567,12 +567,12 @@
       IF(lwp) THEN
          CALL ctl_opn( inum, 'layout_prtctl.dat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE., narea )
-         WRITE(inum,'(a)') 'nproc nlcil nlcjl nldil nldjl nleil nlejl nimpptl njmpptl ibonitl ibonjtl'
+         WRITE(inum,'(a)') 'nproc ipil ipjl Nis0l Njs0l Nie0l Nje0l nimpptl njmpptl ibonitl ibonjtl'
          !
          DO jn = 1, ijsplt
-            WRITE(inum,'(i5,6i6,4i8)') jn-1,nlcitl(jn),  nlcjtl(jn), &
-               &                            nlditl(jn),  nldjtl(jn), &
-               &                            nleitl(jn),  nlejtl(jn), &
-               &                           nimpptl(jn), njmpptl(jn), &
-               &                           ibonitl(jn), ibonjtl(jn)
+            WRITE(inum,'(i5,6i6,4i8)') jn-1, jpiallp(jn),  jpjallp(jn), &
+               &                            nis0allp(jn), njs0allp(jn), &
+               &                            nie0allp(jn), nje0allp(jn), &
+               &                             nimpptl(jn),  njmpptl(jn), &
+               &                             ibonitl(jn),  ibonjtl(jn)
          END DO
          CLOSE(inum)   
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/ISF/isfcpl.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/ISF/isfcpl.F90	(revision 12799)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/ISF/isfcpl.F90	(revision 12807)
@@ -16,5 +16,5 @@
    USE lib_mpp , ONLY: mpp_sum, mpp_max ! mpp routine
    USE domvvl  , ONLY: dom_vvl_zgr      ! vertical scale factor interpolation
-   USE domngb  , ONLY: dom_ngb          ! find the closest grid point from a given lon/lat position
+   USE domutl  , ONLY: dom_ngb          ! find the closest grid point from a given lon/lat position
    !
    USE oce            ! ocean dynamics and tracers
@@ -519,6 +519,6 @@
 
       DO jk = 1,jpk-1
-         DO jj = nldj,nlej
-            DO ji = nldi,nlei
+         DO jj = Njs0,Nje0
+            DO ji = Nis0,Nie0
 
                ! volume diff
@@ -552,6 +552,6 @@
       nisfl(:)=0
       DO jk = 1,jpk-1
-         DO jj = nldj,nlej
-            DO ji = nldi,nlei
+         DO jj = Njs0,Nje0
+            DO ji = Nis0,Nie0
                jip1=MIN(ji+1,jpi) ; jim1=MAX(ji-1,1) ; jjp1=MIN(jj+1,jpj) ; jjm1=MAX(jj-1,1) ;
                IF ( tmask(ji,jj,jk) == 0._wp .AND. ztmask_b(ji,jj,jk) == 1._wp ) nisfl(narea) = nisfl(narea) + MAX(SUM(tmask(jim1:jip1,jjm1:jjp1,jk)),1._wp)
@@ -572,6 +572,6 @@
       jisf = 0
       DO jk = 1,jpk-1
-         DO jj = nldj,nlej
-            DO ji = nldi,nlei
+         DO jj = Njs0,Nje0
+            DO ji = Nis0,Nie0
                IF ( tmask(ji,jj,jk) == 0._wp .AND. ztmask_b(ji,jj,jk) == 1._wp ) THEN
 
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/ISF/isfutils.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/ISF/isfutils.F90	(revision 12799)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/ISF/isfutils.F90	(revision 12807)
@@ -15,5 +15,5 @@
    USE lib_fortran   , ONLY: glob_sum, glob_min, glob_max                    ! compute global value
    USE par_oce       , ONLY: jpi,jpj,jpk, jpnij                              ! domain size
-   USE dom_oce       , ONLY: nldi, nlei, nldj, nlej, narea, tmask_h, tmask_i ! local domain
+   USE dom_oce       , ONLY: Nis0, Nie0, Njs0, Nje0, narea, tmask_h, tmask_i ! local domain
    USE in_out_manager, ONLY: i8, wp, lwp, numout                             ! miscelenious
    USE lib_mpp
@@ -84,6 +84,6 @@
       !
       ! local MOD sum
-      DO jj=nldj,nlej
-         DO ji=nldi,nlei
+      DO jj=Njs0,Nje0
+         DO ji=Nis0,Nie0
             idums = ABS(MOD(TRANSFER(pvar(ji,jj), ip),imodd))
             itmps(narea) = MOD(itmps(narea) + idums, imods)
@@ -138,6 +138,6 @@
       ! local MOD sum
       DO jk=1,jpk
-         DO jj=nldj,nlej
-            DO ji=nldi,nlei
+         DO jj=Njs0,Nje0
+            DO ji=Nis0,Nie0
                idums = ABS(MOD(TRANSFER(pvar(ji,jj,jk), ip),imodd))
                itmps(narea) = MOD(itmps(narea) + idums, imods)
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/halo_mng.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/halo_mng.F90	(revision 12799)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/halo_mng.F90	(revision 12807)
@@ -26,7 +26,6 @@
    INTEGER :: jpi_1, jpj_1
    INTEGER :: jpimax_1, jpjmax_1
-   INTEGER :: nlci_1, nlcj_1
-   INTEGER :: nldi_1, nldj_1
-   INTEGER :: nlei_1, nlej_1
+   INTEGER :: Nis0_1, Njs0_1
+   INTEGER :: Nie0_1, Nje0_1
 CONTAINS
 
@@ -36,12 +35,9 @@
         jpj_1 = jpj
 
-        nlci_1 = nlci
-        nlcj_1 = nlcj
+        Nis0_1 = Nis0
+        Njs0_1 = Njs0
 
-        nldi_1 = nldi
-        nldj_1 = nldj
-
-        nlei_1 = nlei
-        nlej_1 = nlej
+        Nie0_1 = Nie0
+        Nje0_1 = Nje0
 
    	jpimax_1 = jpimax
@@ -59,15 +55,15 @@
         jpj = jpj_1 + 2*khls -2
 
-        nlci = nlci_1 + 2*khls -2
-        nlcj = nlcj_1 + 2*khls -2
+        jpi = jpi_1 + 2*khls -2
+        jpj = jpj_1 + 2*khls -2
         
         jpimax = jpimax_1 + 2*khls -2
         jpjmax = jpjmax_1 + 2*khls -2
 
-        nldi = nldi_1 + khls - 1
-        nldj = nldj_1 + khls - 1
+        Nis0 = Nis0_1 + khls - 1
+        Njs0 = Njs0_1 + khls - 1
 
-        nlei = nlei_1 + khls - 1
-        nlej = nlej_1 + khls - 1
+        Nie0 = Nie0_1 + khls - 1
+        Nje0 = Nje0_1 + khls - 1
 
    END SUBROUTINE halo_mng_set
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/lbc_nfd_ext_generic.h90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/lbc_nfd_ext_generic.h90	(revision 12799)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/lbc_nfd_ext_generic.h90	(revision 12807)
@@ -28,5 +28,5 @@
       !
       SELECT CASE ( jpni )
-      CASE ( 1 )     ;   ipj = nlcj       ! 1 proc only  along the i-direction
+      CASE ( 1 )     ;   ipj = jpj        ! 1 proc only  along the i-direction
       CASE DEFAULT   ;   ipj = 4          ! several proc along the i-direction
       END SELECT
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/lbc_nfd_generic.h90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/lbc_nfd_generic.h90	(revision 12799)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/src/OCE/LBC/lbc_nfd_generic.h90	(revision 12807)
@@ -65,5 +65,5 @@
       !
       SELECT CASE ( jpni )
-      CASE ( 1 )     ;   ipj = nlcj       ! 1 proc only  along the i-direction
+      CASE ( 1 )     ;   ipj = jpj        ! 1 proc only  along the i-direction
       CASE DEFAULT   ;   ipj = 4          ! several proc along the i-direction
       END SELECT
